%define module	Imager
%define name	perl-%{module}
%define version	0.62
%define	release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl extension for generating 24 bit images
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Imager/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  fontconfig-devel
BuildRequires:  t1lib-devel
BuildRequires:  ungif-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Imager is a module for creating and altering images. It can read and write
various image formats, draw primitive shapes like lines,and polygons, blend
multiple images together in various ways, scale, crop, render text and more.

%prep
%setup -q -n %{module}-%{version}

%build
IM_SUPPRESS_PROMPT=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
%make "CFLAGS=%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/Imager.pm
%{perl_vendorarch}/Imager
%{perl_vendorarch}/auto/Imager
%{_mandir}/*/*




%changelog
* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.62-2mdv2008.1
+ Revision: 151418
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.62-1mdv2008.1
+ Revision: 117501
- update to new version 0.62

* Tue Nov 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.61-1mdv2008.1
+ Revision: 106567
- update to new version 0.61
- update to new version 0.61

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.60-1mdv2008.0
+ Revision: 77704
- update to new version 0.60

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.59-1mdv2008.0
+ Revision: 47660
- update to new version 0.59


* Fri Feb 16 2007 Olivier Thauvin <nanardon@mandriva.org> 0.55-2mdv2007.0
+ Revision: 122009
- add buildrequires to enable format support

* Thu Jan 04 2007 Olivier Thauvin <nanardon@mandriva.org> 0.55-1mdv2007.1
+ Revision: 103938
- 0.55

* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 0.54-1mdv2007.1
+ Revision: 94360
- 0.54
- 0.53
- Import perl-Imager

* Fri Jun 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.51-1mdv2007.0
- New release 0.51

* Tue Apr 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-1mdk
- new version
- proper cflags
- repmbuildupdate aware
- fix directory ownership

* Wed Mar 08 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.49-1mdk
- 0.49

* Fri Feb 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.47-1mdk
- 0.47

* Tue Dec 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.46-1mdk
- 0.46

* Sat Jun 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.45-1mdk
- First Mandriva release

